
public class Bank {
	
	
	private static final int maxAccount = 10;
	private static final int initAccountCount = 3;
	
	public Bank() {
		
		account = new int[maxAccount];
		suspended = new boolean[maxAccount];
		
		/*
		 * The initialize function adds 3 accounts to bank.
		 */
		initialize();
	}
	
	/*
	 * The function accepts the ID of the account as argument and stores it in 
	 * the account array. 
	 * 
	 * Pre-Condition -
	 * 	Account ID must not be zero.
	 * 	Account space must not be full.
	 * 	Account must not already exist.
	 * 
	 * Post-Condition -
	 * 	Account data is stored in an empty cell.
	 *  Data of other accounts must not changed
	 */
	

	public void addAccount(int acc) {
		account[find(account,0)] = acc;
	}
	
	
	/*
	 * The function accepts account ID as arguments
	 * and marks the account as suspended.
	 * 
	 * Pre-Condition -
	 * 	account ID must not be zero.
	 * 	account must exist.
	 * 	account must not be suspended already.
	 * 
	 * 
	 * Post-Condition -
	 * 	The suspended status of account is marked as true
	 * 	The suspended status of other accounts must not change.
	 *  
	 */
	
	
	public void suspendAccount(int acc) {
		suspended[find(account,acc)] = true;
	}

	
	
	/*
	 * The function finds a number (key) in an int array. 
	 * It returns the length of the array if key is not found
	 * else returns the index of key.
	 * 
	 * Pre-Condition -
	 * 	Array must not be null.
	 * 	Array must not be empty.
	 * 
	 * Post-Condition -
	 * 	Return value must not be greater than array size
	 * 	Return array size if the key is not found
	 * 	Return array index of the key if it is found.
	 */


	protected int find(int[] a, int key) {
		
		int i = 0;
		

		while(i < a.length && a[i] != key)
			i++;
		
		return i;
	}
	
	protected void initialize() {

		// Add books to Library
		
		for(int i = 0; i < initAccountCount ; i++) {
			account[i] = i+1;
		}
			
	}
	
	private int[] account;
	private boolean[] suspended;

	public static void main(String[] args) {
		// TODO Auto-generated method stub

	}

}
